Subject: bug#19159: closed (Re: bug#19159: Incorrect name in THANKS)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 24 Nov 2014 15:36:02 +0000

Your bug report

#19159: Incorrect name in THANKS

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19159: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19159
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19159: Incorrect name in THANKS
From: Jim Meyering <[email-masked]>
To: Norihiro Tanaka <[email-masked]>
Cc: [email-masked]
Date: Mon, 24 Nov 2014 07:34:46 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Nov 23, 2014 at 10:11 PM, Norihiro Tanaka <[email-masked]> wrote:
> I am glad to hear that grep-2.21 is release.  However, I noticed a funny
> thing in THANKS.  My name is listed twice.  A second look confirmed that
> one is correct, and another is incorrect.  I found that it is caused by
> following four commits.  Could you fix them?
>
> Norihirio Tanaka                    [email-masked]
>        ^

The commits themselves are write-once, but there is a
mechanism by which name and email addresses listed
in Author: fields may be remapped so that when generating
the AUTHORS file or running git log or git shortlog, the
preferred/corrected information is printed, and I have done
that with the attached patch:

Subject: Incorrect name in THANKS
From: Norihiro Tanaka <[email-masked]>
To: [email-masked]
Date: Mon, 24 Nov 2014 15:11:28 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

I am glad to hear that grep-2.21 is release.  However, I noticed a funny
thing in THANKS.  My name is listed twice.  A second look confirmed that
one is correct, and another is incorrect.  I found that it is caused by
following four commits.  Could you fix them?

Norihirio Tanaka                    [email-masked]
       ^

commit 015240e846c8a6614272d44f351a5faee8b9aa93
Author: Norihirio Tanaka <[email-masked]>
Date:   Wed Mar 24 16:04:39 2010 +0100

commit 8f08d8e282bf3d4917e94135e67ba17d738313ce
Author: Norihirio Tanaka <[email-masked]>
Date:   Thu Mar 25 10:38:13 2010 +0100

commit e1d437a5f7c311499a88dcdd4598d4991383df37
Author: Norihirio Tanaka <[email-masked]>
Date:   Wed Mar 24 16:04:47 2010 +0100

commit 20b116a6350a479d2372e037a79a4c9a2e6700bc
Author: Norihirio Tanaka <[email-masked]>
Date:   Wed Mar 24 16:04:32 2010 +0100